Package org.eclipse.emf.cdo.common.model

# Interface CDOClassInfo

All Superinterfaces:
  `Adapter`

All Known Subinterfaces:
  `InternalCDOClassInfo`

public interface CDOClassInfo extends Adapter
An EMF `adapter` that encapsulates CDO specific information about an `EClass`.

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Method Summary

Modifier and Type
Method
Description
`EStructuralFeature[]`
`getAllPersistentContainments()`
`EStructuralFeature[]`
`getAllPersistentFeatures()`
`EAttribute[]`
`getAllPersistentLobAttributes()`
`EStructuralFeature[]`
`getAllPersistentMapFeatures()`
`EReference[]`
`getAllPersistentReferences()`
`EClass`
`getEClass()`
`int`
`getFeatureIndex(int featureID)`
Deprecated.
As of 4.2 pushed down to `InternalCDOClassInfo.getPersistentFeatureIndex(int)`.
`int`
`getFeatureIndex(EStructuralFeature feature)`
Deprecated.
As of 4.2 pushed down to `InternalCDOClassInfo.getPersistentFeatureIndex(EStructuralFeature)`.
`boolean`
`hasPersistentFeatureMaps()`
`boolean`
`hasPersistentOpposite(EStructuralFeature feature)`
`boolean`
`isPersistent(int featureID)`
`boolean`
`isPersistent(EStructuralFeature feature)`
`boolean`
`isResource()`
`boolean`
`isResourceFolder()`
`boolean`
`isResourceNode()`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

## Method Details

### getEClass

EClass getEClass()

### isResourceNode

boolean isResourceNode()

### isResourceFolder

boolean isResourceFolder()

### isResource

boolean isResource()

### isPersistent

boolean isPersistent(int featureID)

Since:
  4.2

### isPersistent

boolean isPersistent(EStructuralFeature feature)

Since:
  4.2

### hasPersistentOpposite

boolean hasPersistentOpposite(EStructuralFeature feature)

Since:
  4.2

### hasPersistentFeatureMaps

boolean hasPersistentFeatureMaps()

Since:
  4.10

### getAllPersistentFeatures

EStructuralFeature[] getAllPersistentFeatures()

### getAllPersistentReferences

EReference[] getAllPersistentReferences()

Since:
  4.2

### getAllPersistentContainments

EStructuralFeature[] getAllPersistentContainments()

Since:
  4.2

### getAllPersistentMapFeatures

EStructuralFeature[] getAllPersistentMapFeatures()

Since:
  4.10

### getAllPersistentLobAttributes

EAttribute[] getAllPersistentLobAttributes()

Since:
  4.16

### getFeatureIndex

@Deprecated int getFeatureIndex(EStructuralFeature feature)
Deprecated.
As of 4.2 pushed down to `InternalCDOClassInfo.getPersistentFeatureIndex(EStructuralFeature)`.

### getFeatureIndex

@Deprecated int getFeatureIndex(int featureID)
Deprecated.
As of 4.2 pushed down to `InternalCDOClassInfo.getPersistentFeatureIndex(int)`.